Module java.desktop
Package javax.print.event

# Class PrintEvent

java.lang.Object
java.util.EventObject
javax.print.event.PrintEvent

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `PrintJobAttributeEvent`, `PrintJobEvent`, `PrintServiceAttributeEvent`

public class PrintEvent extends EventObject
Class `PrintEvent` is the super class of all Print Service API events.

See Also:
  Serialized Form

## Field Summary

### Fields declared in class java.util.EventObject

`source`

## Constructor Summary

Constructors
Constructor
Description
`PrintEvent​(Object source)`
Constructs a `PrintEvent` object.

## Method Summary

Modifier and Type
Method
Description
`String`
`toString()`
Returns a string representation of this `PrintEvent`.

### Methods declared in class java.util.EventObject

`getSource`

### Methods declared in class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### PrintEvent

public PrintEvent​(Object source)
Constructs a `PrintEvent` object.

Parameters:
  `source` - is the source of the event
Throws:
  `IllegalArgumentException` - if `source` is `null`

## Method Details

### toString

public String toString()
Returns a string representation of this `PrintEvent`.

Overrides:
  `toString` in class `EventObject`
Returns:
  a message describing the event